Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009409Dwarf FortressDwarf Mode -- Itemspublic2015-12-22 02:452020-02-10 13:11
ReporterPeter Salt 
Assigned ToLoci 
PrioritynormalSeverityminorReproducibilityalways
StatusacknowledgedResolutionopen 
PlatformPCOSGNU/LinuxOS VersionUbuntu 15.04
Product Version0.42.03 
Target VersionFixed in Version 
Summary0009409: Binding a quire into a codex destroys the material definition and value
DescriptionI've noticed that if one is to bind a quire into a codex, the resulting item does not have any information about the quire material and decorations, only the description of the binding and written part. The quire materials and how are they decorated (I've empirically established that at least leather/cloth/silk/yarn images can be sown into quires) are also not counted towards the value of the item leading to a slightly absurd situation of a bound book having significantly smaller market value than the quire it's made of. After a quire is bound it is also marked as "Destroyed/transformed" in the Artifacts tab, and a new entry appears there for a bound codex.

I think the intended way to calculate the value of the book was (value of quire + value of binding)*binding labor quality multiplier, maybe with thread value being also thrown somewhere in the mix, but something went wrong and only the binding counts.
Steps To Reproduce1. Make quires
2. Have someone write something on a quire
3. Make a binding and bind the book, finding a moment when nobody's reading it
TagsNo tags attached.
Attached Files

- Relationships
related to 0009268confirmedDwarfu Bound book has 1 page 
related to 0009506acknowledgedDwarfu Codexes can't decide what to call themselves 

-  Notes
(0034128)
Kumquat (reporter)
2015-12-22 13:04

More likely the value of binding gets discarded.

I made a book with gold covers (value 900) and the resulting book was only worth 320.
(0034130)
Peter Salt (reporter)
2015-12-22 14:47

I made a book out of quire worth 1200-something and green glass binding, it costed the same 320 as the result. Maybe 320 is just the fixed value of any codex and that's that?
(0034291)
greycat (reporter)
2016-01-03 11:02
edited on: 2016-01-03 11:03

The codex's value seems to be determined entirely by the book binding item's BASE value, and the quality of the binding job, completely ignoring the binding item's quality, the quire and the thread. My green glass codexes are mostly worth 40 or 60 urists, as they were done by a novice book binder. This despite the green glass book bindings themselves having been masterwork or exceptional before the book binder got to them.

(0034312)
jwoodward48df (reporter)
2016-01-04 11:13

I would recommend testing with a legendary bookbinder through [NATURAL_SKILL:WHATEVER], but... that's buggy too. I'll try that once that bug is fixed, unless this is fixed first.
(0034313)
Bouchart (reporter)
2016-01-04 13:17

Not sure this is necessarily a bug. Traction benches work the same way with respect to their components.
(0034319)
nomad_delta (reporter)
2016-01-04 17:31

I would think just means the same bug applies to traction benches as well, as I can't imagine that's intended behavior either.
(0034323)
Detros (manager)
2016-01-05 04:14

What about small instruments (or other things build from several subitems; probably omitting buildings like siege engines or wells)? Is there value of final product counted similarly?
(0034600)
perechen (reporter)
2016-02-03 19:36

Well should generate the value properly (items * labor), the same goes with encrusting. Also I have noticed that several codices bought from caravan (so generated, not made inside the fortress) could be very valuable and have extended descriptions. Probably, something is going wrong with mechanics of artifact. Have anyone tried to make codices from copies (they won't appear in L menu and they will be called *codice* not like "My Thoughts on Trauma") and check their value manually via bookcase?
(0038139)
Kvall (reporter)
2018-04-08 14:11

Has anyone checked this in more recent versions? I would but currently my only quires are extremely valuable and I don't want to ruin any of them. Hopefully this is an easy fix that Toady just hasn't gotten around to yet.
(0038140)
PatrikLundell (reporter)
2018-04-08 15:45

There is no indication is has been changed (this bug report isn't marked as fixed, for instance, nor have release notes indicated that it might be).
You can test it yourself by copying your save, perform the test in the copy, and then delete the copy to continue playing the original save.
(0038143)
FantasticDorf (reporter)
2018-04-09 03:37

A jump from 42.03 to 44.x might be too extreme @PatrikLundell, attempting to repeat the circumstances by having a rudimentary library and committing the save to the latest version would go further.
(0038204)
sionlife (reporter)
2018-04-25 08:30
edited on: 2018-04-26 15:31

Confirmed in 44.09. I started a library with the intention of checking if this bug still existed. So I started off with very few materials and carefully tracked the progress of a quire all the way to the finished book. The values of all the materials in dwarfbucks leading up to the final product are shown here:

unwritten on pig tail quire 40

written on quire 50
silver book binding 1200
pig tail thread 12
TOTAL 1262

silver bound codex 120

So the final book lost 1262-120 = 1142 of the sum of the component values. In the codex description it also specifically states that it is a 1-page essay, whereas I am pretty positive in the quire form, it never mentioned anything about the length of the essay, so it is possible that it is also losing content as well as material value. I have got the save folder here for reference:

http://dffd.bay12games.com/file.php?id=13704 [^]

I also uploaded screenshots to prove the values above. Here is the album:

https://imgur.com/a/sUceJbL [^]

Edit:
Just saw another example, here we had a written-on parchment quire which had a value of 1210. This was bound into a codex which had a value of 210. So a massive drop in value. The codex also described it as 1-page long which was not the same content as the original quire.

(0039998)
mrmagolor (reporter)
2020-02-10 13:11

Still exists in 0.47.01, haven't tested with 02 yet.

- Issue History
Date Modified Username Field Change
2015-12-22 02:45 Peter Salt New Issue
2015-12-22 13:04 Kumquat Note Added: 0034128
2015-12-22 14:47 Peter Salt Note Added: 0034130
2016-01-03 11:02 greycat Note Added: 0034291
2016-01-03 11:03 greycat Note Edited: 0034291 View Revisions
2016-01-04 11:13 jwoodward48df Note Added: 0034312
2016-01-04 13:17 Bouchart Note Added: 0034313
2016-01-04 17:31 nomad_delta Note Added: 0034319
2016-01-05 04:14 Detros Note Added: 0034323
2016-02-03 19:36 perechen Note Added: 0034600
2016-05-19 13:37 Dame de la Licorne Issue Monitored: Dame de la Licorne
2017-03-28 22:36 Kaelem Gaen Issue Monitored: Kaelem Gaen
2017-09-12 16:43 Loci Relationship added related to 0009268
2017-09-12 16:46 Loci Assigned To => Loci
2017-09-12 16:46 Loci Status new => acknowledged
2017-12-04 03:50 Dwarfu Relationship added related to 0009506
2018-04-08 14:11 Kvall Note Added: 0038139
2018-04-08 15:45 PatrikLundell Note Added: 0038140
2018-04-09 03:37 FantasticDorf Note Added: 0038143
2018-04-16 17:46 Huntthetroll Issue Monitored: Huntthetroll
2018-04-25 08:30 sionlife Note Added: 0038204
2018-04-26 15:31 sionlife Note Edited: 0038204 View Revisions
2018-06-26 23:55 ejtttje Issue Monitored: ejtttje
2018-08-19 16:44 mrmagolor Issue Monitored: mrmagolor
2020-02-10 13:11 mrmagolor Note Added: 0039998
2020-07-04 08:49 quatch Issue Monitored: quatch


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker